# -*- coding: utf-8 -*-

from setuptools import setup, find_packages
from turbogears.finddata import find_package_data

import os
execfile(os.path.join("mp3_player", "release.py"))

packages=find_packages()
package_data = find_package_data(where='mp3_player',
    package='mp3_player')
if os.path.isdir('locales'):
    packages.append('locales')
    package_data.update(find_package_data(where='locales',
        exclude=('*.po',), only_in_packages=False))

setup(
    name="mp3-player",
    version=version,
    description=description,
    author=author,
    author_email=email,
    url=url,
    download_url=download_url,
    license=license,

    install_requires=[
        "TurboGears >= 1.0"
    ],
    zip_safe=False,
    packages=packages,
    package_data=package_data,
    keywords=[
        'turbogears.app',
    ],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules',
        'Framework :: TurboGears',
        'Framework :: TurboGears :: Applications',
    ],
    test_suite='nose.collector',
    entry_points = {
        'console_scripts': [
            'start-mp3_player = mp3_player.commands:start',
        ],
    },
    #data_files = [('config', ['default.cfg'])],
    )
